Description: FreeDoom enablement for Vavoom. 
 this patch allows to run freedoom on vavoom with a single parameter
 it also allows to save games on a dedicated directory instead of sharing with doom 2.
Author: gustavo panizzo <gfa@zumbi.com.ar>
Bug-Debian: http://bugs.debian.org/661233
Last-Update: 2012-02-28

--- vavoom-1.33.orig/basev/CMakeLists.txt
+++ vavoom-1.33/basev/CMakeLists.txt
@@ -10,5 +10,6 @@ add_subdirectory(hexen)
 add_subdirectory(plutonia)
 add_subdirectory(strife)
 add_subdirectory(tnt)
+add_subdirectory(freedoom)
 
 install(FILES games.txt DESTINATION ${DATADIR}/basev)
--- vavoom-1.33.orig/basev/games.txt
+++ vavoom-1.33/basev/games.txt
@@ -78,3 +78,9 @@ iwad strife1.wad
 addfile voices.wad
 param -strife
 end
+
+// FreeDoom 
+game basev/freedoom
+iwad freedoom.wad
+param -freedoom
+end
--- /dev/null
+++ vavoom-1.33/basev/freedoom/mapinfo.txt
@@ -0,0 +1,364 @@
+//------------------------------------------------------
+//  Episode definition
+clearepisodes
+
+episode map01
+name "FreeDoom"
+
+//------------------------------------------------------
+map map01 lookup hustr_1
+titlepatch cwilv00
+cluster 5
+next map02
+secretnext map02
+sky1 sky1 0
+music d_runnin
+par 30
+sucktime 1
+
+map map02 lookup hustr_2
+titlepatch cwilv01
+cluster 5
+next map03
+secretnext map03
+sky1 sky1 0
+music d_stalks
+par 90
+sucktime 1
+
+map map03 lookup hustr_3
+titlepatch cwilv02
+cluster 5
+next map04
+secretnext map04
+sky1 sky1 0
+music d_countd
+par 120
+sucktime 1
+
+map map04 lookup hustr_4
+titlepatch cwilv03
+cluster 5
+next map05
+secretnext map05
+sky1 sky1 0
+music d_betwee
+par 120
+sucktime 1
+
+map map05 lookup hustr_5
+titlepatch cwilv04
+cluster 5
+next map06
+secretnext map06
+sky1 sky1 0
+music d_doom
+par 90
+sucktime 1
+
+map map06 lookup hustr_6
+titlepatch cwilv05
+cluster 5
+next map07
+secretnext map07
+sky1 sky1 0
+music d_the_da
+par 150
+sucktime 1
+
+;------------------------------------------------------
+map map07 lookup hustr_7
+titlepatch cwilv06
+cluster 6
+next map08
+secretnext map08
+sky1 sky1 0
+music d_shawn
+par 120
+sucktime 1
+map07special
+
+map map08 lookup hustr_8
+titlepatch cwilv07
+cluster 6
+next map09
+secretnext map09
+sky1 sky1 0
+music d_ddtblu
+par 120
+sucktime 1
+
+map map09 lookup hustr_9
+titlepatch cwilv08
+cluster 6
+next map10
+secretnext map10
+sky1 sky1 0
+music d_in_cit
+par 270
+sucktime 1
+
+map map10 lookup hustr_10
+titlepatch cwilv09
+cluster 6
+next map11
+secretnext map11
+sky1 sky1 0
+music d_dead
+par 90
+sucktime 1
+
+map map11 lookup hustr_11
+titlepatch cwilv10
+cluster 6
+next map12
+secretnext map12
+sky1 sky1 0
+music d_stlks2
+par 210
+sucktime 1
+
+;------------------------------------------------------
+map map12 lookup hustr_12
+titlepatch cwilv11
+cluster 7
+next map13
+secretnext map13
+sky1 sky2 0
+music d_theda2
+par 150
+sucktime 1
+
+map map13 lookup hustr_13
+titlepatch cwilv12
+cluster 7
+next map14
+secretnext map14
+sky1 sky2 0
+music d_doom2
+par 150
+sucktime 1
+
+map map14 lookup hustr_14
+titlepatch cwilv13
+cluster 7
+next map15
+secretnext map15
+sky1 sky2 0
+music d_ddtbl2
+par 150
+sucktime 1
+
+map map15 lookup hustr_15
+titlepatch cwilv14
+cluster 7
+next map16
+secretnext map31
+sky1 sky2 0
+music d_runni2
+par 210
+sucktime 1
+
+map map16 lookup hustr_16
+titlepatch cwilv15
+cluster 7
+next map17
+secretnext map17
+sky1 sky2 0
+music d_dead2
+par 150
+sucktime 1
+
+map map17 lookup hustr_17
+titlepatch cwilv16
+cluster 7
+next map18
+secretnext map18
+sky1 sky2 0
+music d_stlks3
+par 420
+sucktime 1
+
+map map18 lookup hustr_18
+titlepatch cwilv17
+cluster 7
+next map19
+secretnext map19
+sky1 sky2 0
+music d_romero
+par 150
+sucktime 1
+
+map map19 lookup hustr_19
+titlepatch cwilv18
+cluster 7
+next map20
+secretnext map20
+sky1 sky2 0
+music d_shawn2
+par 210
+sucktime 1
+
+map map20 lookup hustr_20
+titlepatch cwilv19
+cluster 7
+next map21
+secretnext map21
+sky1 sky2 0
+music d_messag
+par 150
+sucktime 1
+
+;-------------------------------------------------------
+map map21 lookup hustr_21
+titlepatch cwilv20
+cluster 8
+next map22
+secretnext map22
+sky1 sky3 0
+music d_count2
+par 240
+sucktime 1
+
+map map22 lookup hustr_22
+titlepatch cwilv21
+cluster 8
+next map23
+secretnext map23
+sky1 sky3 0
+music d_ddtbl3
+par 150
+sucktime 1
+
+map map23 lookup hustr_23
+titlepatch cwilv22
+cluster 8
+next map24
+secretnext map24
+sky1 sky3 0
+music d_ampie
+par 180
+sucktime 1
+
+map map24 lookup hustr_24
+titlepatch cwilv23
+cluster 8
+next map25
+secretnext map25
+sky1 sky3 0
+music d_theda3
+par 150
+sucktime 1
+
+map map25 lookup hustr_25
+titlepatch cwilv24
+cluster 8
+next map26
+secretnext map26
+sky1 sky3 0
+music d_adrian
+par 150
+sucktime 1
+
+map map26 lookup hustr_26
+titlepatch cwilv25
+cluster 8
+next map27
+secretnext map27
+sky1 sky3 0
+music d_messg2
+par 300
+sucktime 1
+
+map map27 lookup hustr_27
+titlepatch cwilv26
+cluster 8
+next map28
+secretnext map28
+sky1 sky3 0
+music d_romer2
+par 330
+sucktime 1
+
+map map28 lookup hustr_28
+titlepatch cwilv27
+cluster 8
+next map29
+secretnext map29
+sky1 sky3 0
+music d_tense
+par 420
+sucktime 1
+
+map map29 lookup hustr_29
+titlepatch cwilv28
+cluster 8
+next map30
+secretnext map30
+sky1 sky3 0
+music d_shawn3
+par 300
+sucktime 1
+
+map map30 lookup hustr_30
+titlepatch cwilv29
+cluster 8
+next EndGameC
+secretnext EndGameC
+sky1 sky3 0
+music d_openin
+par 180
+sucktime 1
+allowmonstertelefrags
+
+;------------------------------------------------------
+map map31 lookup hustr_31
+titlepatch cwilv30
+cluster 9
+next map16
+secretnext map32
+sky1 sky3 0
+music d_evil
+par 120
+sucktime 1
+
+map map32 lookup hustr_32
+titlepatch cwilv31
+cluster 10
+next map16
+secretnext map16
+sky1 sky3 0
+music d_ultima
+par 30
+sucktime 1
+
+;------------------------------------------------------
+clusterdef 5
+exittext lookup c1text
+flat slime16
+music d_read_m
+
+clusterdef 6
+exittext lookup c2text
+flat rrock14
+music d_read_m
+
+clusterdef 7
+exittext lookup c3text
+flat rrock07
+music d_read_m
+
+clusterdef 8
+exittext lookup c4text
+flat rrock17
+music d_read_m
+
+clusterdef 9
+entertext lookup c5text
+flat rrock13
+music d_read_m
+
+clusterdef 10
+entertext lookup c6text
+flat rrock19
+music d_read_m
--- /dev/null
+++ vavoom-1.33/basev/freedoom/CMakeLists.txt
@@ -0,0 +1,12 @@
+configure_file(basepak.ls.in ${CMAKE_CURRENT_BINARY_DIR}/basepak.ls)
+
+add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/basepak.pk3
+	COMMAND ${VLUMPY} ARGS basepak.ls
+	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/basepak.ls vlumpy
+		basepak.ls.in
+		mapinfo.txt
+	)
+add_custom_target(freedoom_basepak ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/basepak.pk3)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/basepak.pk3 base.txt
+	DESTINATION ${DATADIR}/basev/freedoom)
--- /dev/null
+++ vavoom-1.33/basev/freedoom/basepak.ls.in
@@ -0,0 +1,3 @@
+$dest basepak.pk3
+
+mapinfo.txt			@CMAKE_CURRENT_SOURCE_DIR@/mapinfo.txt
--- /dev/null
+++ vavoom-1.33/basev/freedoom/base.txt
@@ -0,0 +1,2 @@
+game basev/doom2
+end
